Bug 164861 - Crash on multiple input files
Crash on multiple input files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: source-highlight (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 18:42 EDT by Robin Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: source-highlight-2.1.1-1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 08:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-08-01 18:42:48 EDT
Description of problem:
When I call source-highlight with multiple input files, it crashes.

Version-Release number of selected component (if applicable):
source-highlight-2.0-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. touch a.c b.c
2. source-highlight a.c b.c
  
Actual results:
Processed a.c
Segmentation fault

Expected results:
Processed a.c
Processed b.c

Additional info:

Backtrace from gdb on rawhide (same bug also exists when run on FC4):

#0  0x0808e433 in langdef_lex () at langdefscanner.cc:1101
#1  0x0808b7ac in langdef_parse () at langdefparser.cc:1045
#2  0x0808c4f3 in parse_lang_def (path=0x80baf0c "", name=0x87193cc "cpp.lang")
at langdefparser.yy:227
#3  0x08081fa0 in LangDefLoader::get_lang_def (path=@0x0, file=@0x0) at
langdefloader.cpp:33
#4  0x08055a02 in process_file (file=0x871ab9c "b.c", pre=0x87243c8, path=@0x0,
lang_file=@0xbf9a241c) at regexpengine.cpp:143
#5  0x08051c20 in StartApp::processFile (this=0xbf9a2520,
inputFileName=@0xbf9a24dc, outputFileName=@0xbf9a24d0) at startapp.cc:500
#6  0x080531e7 in StartApp::start (this=0xbf9a2520, argc=0, argv=0x0) at
startapp.cc:339
#7  0x08054937 in main (argc=0, argv=0x0) at source-highlight.cc:26
#8  0x001ac41f in __libc_start_main (main=0x8054908 <main>, argc=3,
ubp_av=0xbf9a25f4, init=0x80a0760 <__libc_csu_init>,
    fini=0x80a07b0 <__libc_csu_fini>, rtld_fini=0x334c7d <_dl_fini>,
stack_end=0xbf9a25ec) at ../sysdeps/generic/libc-start.c:231
#9  0x08050b01 in _start ()
Comment 1 Adrian Reber 2005-08-02 04:53:43 EDT
I have tried to update to 2.1 but this error does also exists in version 2.1. I
have now contacted the upstream author and reported the bug there.
Comment 2 Adrian Reber 2005-08-04 08:42:37 EDT
The upstream author has answered and provided a new version (2.1.1) which fixes
this error. I have checked the necessary changes into CVS and have requested a
new build which should be available soon.

Note You need to log in before you can comment on or make changes to this bug.